.\" gd_naliases.3.  The gd_naliases man page.
.\"
.\" Copyright (C) 2012, 2013 D. V. Wiebe
.\"
.\""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
.\"
.\" This file is part of the GetData project.
.\"
.\" Permission is granted to copy, distribute and/or modify this document
.\" under the terms of the GNU Free Documentation License, Version 1.2 or
.\" any later version published by the Free Software Foundation; with no
.\" Invariant Sections, with no Front-Cover Texts, and with no Back-Cover
.\" Texts.  A copy of the license is included in the `COPYING.DOC' file
.\" as part of this distribution.
.\"
.TH gd_naliases 3 "1 October 2013" "Version 0.9.0" "GETDATA"
.SH NAME
gd_naliases \(em report the number of aliases of a field in a dirfile
.SH SYNOPSIS
.B #include <getdata.h>
.HP
.nh
.ad l
.BI "unsigned int gd_naliases(DIRFILE *" dirfile ", const char *" field_code );
.hy
.ad n
.SH DESCRIPTION
The
.BR gd_naliases ()
function queries a dirfile(5) database specified by
.I dirfile
and returns the number of aliases of the field specified by
.IR field_code .

The
.I dirfile
argument must point to a valid DIRFILE object previously created by a call to
.BR gd_open (3).

.SH RETURN VALUE
Upon successful completion,
.BR gd_naliases ()
returns the number of aliases of the specified field code in the dirfile.  If
successful, this count will be at least one.  On error, it returns zero and
sets the dirfile error to a non-zero error value.  Possible error values are:
.TP 8
.B GD_E_BAD_CODE
The supplied field code was not found in the database.
.TP
.B GD_E_BAD_DIRFILE
The supplied dirfile was invalid.
.PP
The dirfile error may be retrieved by calling
.BR gd_error (3).
A descriptive error string for the last error encountered can be obtained from
a call to
.BR gd_error_string (3).
.SH SEE ALSO
.BR dirfile (5),
.BR gd_open (3),
.BR gd_aliases (3),
.BR gd_alias_target (3)
